// Raum.h: Schnittstelle fr die Klasse CRaum.
//
//////////////////////////////////////////////////////////////////////

#if !defined(RAUM_H)
#define RAUM_H

// Includes
#include "CList.h"
#include "Gegenstand.h"
#include <string>

class CRaum  
{
private:
	CList<CRaum *> * m_plistRaum;
	CList<CGegenstand *> * m_plistGegenstand;
	string * m_pstrName;

public:
//////////////////////////////////////////////////////////////////////////
// Konstruktor / Destruktior
//
	CRaum(string strName);
	virtual ~CRaum();

//////////////////////////////////////////////////////////////////////////
// Zugriffsfunktionen
//

	virtual string GetName ();

// Zugriffsfunktionen fr angrenzende Rume
	int AddRaum (CRaum * pRaum);
	int GetRaum (int iPos, CRaum * & pRaum);
	int RemoveRaum (int iPos, CRaum * & pRaum);

// Zugriffsfunktionen fr Gegenstnde
	int AddGegenstand (CGegenstand * pGegenstand);
	int GetGegenstand (int iPos, CGegenstand * & pGegenstand);
	int RemoveGegenstand (int iPos, CGegenstand * & pGegenstand);
	
};

#endif // !defined(RAUM_H)
