// Spieler.h: Schnittstelle fr die Klasse CSpieler.
//
//////////////////////////////////////////////////////////////////////

#if !defined(SPIELER_H)
#define SPIELER_H

// Includes
#include "Meister.h"
#include "CList.h"
#include "Gegenstand.h"
#include "Raum.h"
#include <string>

class CMeister;

class CSpieler  
{

private:
    CRaum * m_praumAkt;
    CList<CGegenstand *> * m_plistGegenstand;
    string * m_pstrName;
    CMeister * m_pMeister;
    
// Zugriffsfkt 
    int TakeGegenstand (int iPos);
    int DropGegenstand (int iPos);
    int LeaveRaum (int iPos);
     
// Menufkt
	void msgShowWege();
	void msgShowGegenstaende();
	void msgShowInventar();
	void msgMove();
	void msgLook();
	void msgTakeGegenstand();
	void msgDropGegenstand();



//////////////////////////////////////////////////////////////////////////
// Konstruktor / Destruktior
//
public:
	CSpieler (string strName, CMeister * pMeister);
	virtual ~CSpieler();

//////////////////////////////////////////////////////////////////////////
// Zugriffsfunktionen
//

	virtual string GetName ();

	void Start (CRaum * pStart, CList<CGegenstand *> * plistInventar);



};

#endif // !defined(SPIELER_H)



